## dgit 0.20

=== debian/changelog ===
dgit (0.20) unstable; urgency=high

  * Use newest (not oldest) version currently in suite when calculating
    what value to use for -v<version> by default.  Closes:#732781.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 21 Dec 2013 19:13:56 +0000

dgit (0.19) unstable; urgency=low

  Testing facilities:
  * Provide "test-dummy" distro with "dummycat" access method.
  * Provide a selection of autopkgtest (DEP-8) tests.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 27 Nov 2013 18:27:17 +0000

dgit (0.18.2) unstable; urgency=high

  Bump archive upload urgency to high.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 24 Nov 2013 17:42:57 +0000

dgit (0.18.1) unstable; urgency=low

  Bugfixes:
  * sshpsql archive query method passes LANG=C.  Closes:#729788.
  * Subcommand program or argument options containing hyphens work.
    (Eg, --dpkg-buildpackage:blah was previously incorrectly rejected.)

  Packaging fixes:
  * Depend on dput.
  * Depend on curl | wget, as dget needs one of those.  (The dput package,
    which contains dget, doesn't require them because dput itself works
    without.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 24 Nov 2013 17:36:03 +0000

dgit (0.18) unstable; urgency=low

  Major new feature:
  * Remote push (dgit rpush), a la debsign -r.  Closes:#721185.

  Improved behaviours:
  * dgit build, by default, uses the archive to find out what the correct
    -v<version> option is to pass to dpkg-genchanges.  Closes:#727200.
  * Abolish the sshdakls method and replace it with sshpsql: that is, ssh
    (to coccia, by default) and run sql commands on the ftpmaster
    database.  This is faster and has fewer bugs but is vulnerable to db
    schema changes.  Closes:#726955.  Closes:#720170.  Closes:#720176.
  * When generating git tags, quote the (uncanonicalised) changelog's
    Distribution field as the suite.
  * Command execution reports from --dry-run go to stderr.

  Other new features:
  * Support --gpg=... to provide a replacement command for gpg.
  * Support --ssh=... and --ssh:... to affect how we run ssh.

  Bugfixes:
  * When using sbuild, pass the arguments to mergechanges in the right
    order so that we use the correct Description (the _source one,
    not the one from sbuild which didn't get e.g. -v<version>).
  * push actually takes an optional suite, like it says in the synopsis.
    Closes:#727125.
  * Fix dgit --damp-run sbuild to actually work.
  * Fix the "shellquote" internal subroutine.  The bugs in it ought not to
    have caused any real trouble in previous versions of dgit.

  Documentation and message fixes:
  * manpage: Clarify comments about orig tarballs.  Closes: #723605.
  * manpage: Remove comment in BUGS about lack of policy docs
    for Dgit field, which is specified now.  Closes:#720201.
  * manpage: Make discussion of --existing-package less scary.  The
    default archive access method no longer needs it.  Closes:#720171.
  * Mention "git merge", not "git-merge", in helpful message.
    Closes:#725632.

  Internal and debugging improvements:
  * Report chdir actions in debugging output.
  * Improvements to implementation of --dry-run and --damp-run.
  * Some code motion and cleanups.

  Note: changelog entries for the following versions, which were uploaded
  to Debian experimental, have been collapsed into this single entry:
    0.18~experimental2 0.18~experimental1
    0.17~experimental7 0.17~experimental6 0.17~experimental5
    0.17~experimental4 0.17~experimental3 0.17~experimental2
    0.17~experimental1
    0.16~experimental3 0.16~experimental2 0.16~experimental1
  We do describe here all the changes since 0.17.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 09 Nov 2013 10:12:13 +0000

dgit (0.17) unstable; urgency=high

  * Do not grobble around in .git/refs/; instead, use git-show-ref.
    This avoids breaking when git makes packed refs.  Closes:728893.
  * Clarify error message for missing refs/remotes/dgit/dgit/<suite>.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 07 Nov 2013 00:02:47 +0000

dgit (0.16) unstable; urgency=high

  * Format `(3.0) quilt' fixup does not mind extraneous other files
    in the build tree (e.g., build products and logs).  Closes: #727053.
  * Set autoflush on stdout, to get better ordering of debugging
    etc. output when stdout is redirected.
  * New --damp-run mode, for more convenient and fuller testing etc.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 22 Oct 2013 13:06:54 +0100

dgit (0.15) unstable; urgency=low

  * Better handling of packages pushed using dgit and stuck in NEW.
    (And, use of `--new' is not needed with fetch.)  Closes: #722199.
  * More comprehensive warnings in many cases of archive skew.
  * Implement `dgit help' as well as `--help'.  Closes: #721661.
  * Provide `dgit version' and `--version'.  Closes: #721654.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 12 Sep 2013 00:14:05 +0100

dgit (0.14) unstable; urgency=low

  * Include package name in tag message.
  * Create directory .git/dgit when needed during build.  Closes: #721428.
  * Add Vcs-Git and Vcs-Browser [Richard Hartmann].  Closes: #721404.
    These fields refer to the development branch, "master", on alioth,
    not to the dgit suite refs (which are not accessible to git clone).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 01 Sep 2013 18:30:44 +0100

dgit (0.13) unstable; urgency=low

  * Reuse already-downloaded .orig files after checking their hashes.
    Closes: #720526.  (This introduces a dependency on Digest::SHA.)
  * Do not always pointlessly fetch the .dsc twice.  (That code was
    erroneously duplicated during editing, apparently.)
  * Remove DGET_UNPACK from the environment in case the user has set it.
  * Remove scary warning from Description.
  * When uploading to Debian, tell dput to upload to "ftp-master".  This
    avoids problems with derivatives whose dput has a different default.

