=== debian/control ===
Source: dgit
Section: devel
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Standards-Version: 3.9.4.0
Build-Depends: debhelper (>= 9)
Vcs-Git: git://anonscm.debian.org/dgit-repos/repos/dgit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dgit-repos/repos/dgit.git

Package: dgit
Depends: perl, libwww-perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
         ${misc:Depends}, realpath, libdigest-sha-perl, dput, curl | wget
Recommends: ssh-client
Suggests: sbuild
Architecture: all
Description: git interoperability with the Debian archive
 dgit (with the associated infrastructure) makes it possible to
 treat the Debian archive as a git repository.
 .
 dgit push constructs uploads from git commits
 .
 dgit clone and dgit fetch construct git commits from uploads.
