=== debian/tests/control ===
Tests: clone-nogit fetch-localgitonly fetch-somegit-notlast push-newpackage push-nextdgit quilt
Tests-Directory: tests/tests
Depends: @, devscripts
