## dgit 0.21

=== debian/changelog ===
dgit (0.21) unstable; urgency=medium

  Bugfixes relating to unclean trees:
  * Run a clean (of the specified type) before any build operation; do
    this with `dpkg-buildpackage -T' clean if necessary, so -wd now works
    with all the building methods.
  * Refuse to do quilt fixup (explicitly requested, or as a result of
    build) if the tree contains ignored files.  Closes:#731632.

  Error message improvements:
  * Use failedcmd to report errors when ssh psql fails.  Closes:#734281.
  * failedcmd prints $us, not $_[0] - ie, dgit doesn't pretend,
    in the error message, to be its child.
  * Do not report the (irrelevant) $? when madison parsing fails.

  Better workflow flexibility:
  * Provide --build-products-dir option (and corresponding semantics
    for -C) to specify where to find the files to upload.  Closes:#731633.

  Support for Debian backports suites:
  * New quirks infrastructure in configuration and internals,
    for suites (or perhaps distros) which are a bit like others.
  * Use correct default archive location.
  * Compute "-v" option default value correctly.
  * Closes:#733954.

  Packaging improvement:
  * Add `Testsuite: autopkgtest' to debian/control.  (This will only have
    the right effect with recent enought dpkg; it will generate a harmless
    warning with earlier versions of dpkg.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 19 Jan 2014 02:14:25 +0000
