=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 3.9.4.0
 Build-Depends: debhelper (>= 9)
+Testsuite: autopkgtest
 Vcs-Git: git://anonscm.debian.org/dgit-repos/repos/dgit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dgit-repos/repos/dgit.git
