## dgit 0.22~bpo70+1

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 mandir=$(prefix)/share/man
 man1dir=$(mandir)/man1
 
-PROGRAMS=dgit
+PROGRAMS=dgit dgit-repos-server
 MAN1PAGES=dgit.1
 
 all:
