=== debian/changelog ===
dgit (0.22~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Add myself to uploaders. 

 -- Holger Levsen <holger@debian.org>  Thu, 18 Sep 2014 16:35:00 +0000

dgit (0.22) unstable; urgency=medium

  Bugfixes:
  * Clone removes destination directory on error.  Closes:#736153.
  * Work with wheezy-backports (and keep squeeze-backports working too).
    Closes:#736524.
  * Work in read-only no-git-history mode with Ubuntu.  You still have
    to pass -dubuntu.  Closes:#751781.
  * Use mirror.ftp-master.debian.org DNS alias rather than coccia.
    Closes:#752602.
  * Check hashes of files ourselves rather than running dget to
    re-retreive the .dsc.
  * Check SHA-256 of .dsc against hash from archive_query (ie projectb)
    rather than letting dpkg-source do a signature verification.
    Closes:#737619.  Closes:#737625.
  * Treat .dsc as bytes, just like everything else, rather than letting
    HTTP::Message convert it to a Perl unicode string which the rest of
    the program mishandles.  Closes:#738536.

  Minor improvements:
  * Include canonicalised suite name in signed tag message.
  * Mention cross-version dgit rpush incompatibility in manpage.
  * Check for rpush protocol version incompatibility and crash early
    if incompatible.
  * New script tests/using-intree for running tests on the source tree.
  * Do not spew diff output to terminal (by default).  Print sensible
    message instead.  Closes:#736526.
  * Print better message for lack of configuration settings.
  * Document that dgit rpush needs gnupg and your public key on the build
    host.  Closes:#736529.
  * Fix a manpage reference to `--dget=' where `--dgit=' was intended.
  * Provide t-archive-process-incoming and t-archive-query subroutines for
    regression test scripts to use.
  * Print better message for unknown operations.
  * Provide `dgit clean'.  Closes:#736527.
  * When cloning, set up a remote `vcs-git' from the package's Vcs-Git
    (and put an appropriate caveat in the manpage).  Closes:#740687.
    Closes:#740721.
  * Improve error message for .dsc having already been signed (iff
    using libdpkg-perl 1.17.x).  Closes:#731635.
  * Improve error message for .dsc parsing failures more generally.
  * Better reporting of child exit statuses (esp. deaths due to signals).
  * In rpush, on protocol error talking to build host, check if the
    subprocess died and report differently if so.  Closes:#736528.
  * Fixed a manpage typo.
  * When tests invoke dgit, use --dgit= so that subprocesses use our
    dgit rather than system one.
  * Add a test for dgit rpush.

  Major new feature, currently stalled awaiting server infrastructure:
  * dgit-repos-server: New program for receiving signed-tag-based
    pushes.  Corresponding support in dgit itself, but not currently
    used by default for any distro.
  * Bring forward push of the version tag ref so it happens alongside
    the push of the suite branch ref.
  * New git-check and git-create methods "true" which are no-ops.
  * test-dummy-drs `distro': for testing dgit and dgit-repos-server.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 19 Aug 2014 11:24:02 +0100
