=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Uploaders: Holger Levsen <holger@debian.org>
 Standards-Version: 3.9.4.0
 Build-Depends: debhelper (>= 9)
 Testsuite: autopkgtest
