## dgit 0.22.1

=== debian/changelog ===
dgit (0.22.1) unstable; urgency=high

  * Use Dpkg::Version::version_compare everywhere, not
    Dpkg::Version::version_compare_string.  The latter is entirely wrong,
    meaning that dgit would get many version comparisons wrong.
    Closes:#768038.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 04 Nov 2014 12:46:40 +0000
