## dgit 1.3

=== debian/changelog ===
dgit (1.3) unstable; urgency=high

  Important bugfixes:
  * In option parser test `@ARGV' not `length @ARGV'.  Closes:#795710.
  * Properly quote package name when constructing regexp in
    complete_file_from_dsc.  Closes:#795736.  Also, grep the code for
    likely similar problems elsewhere and improve a (harmless) instance in
    dgit-repos-server.

  Other improvements:
  * If a .orig in .. is a symlink, hardlink the link target into our
    private unpack directory, rather than the link itself (since latter
    won't work if the symlink is relative).  Closes:#795665.
  * Test suite: Fix t-restriction-x-dgit-schroot-build in non-adt mode.
  * Infrastructure: Improve an error message in dgit-repos-policy-debian.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Aug 2015 17:51:02 +0100

dgit (1.2) unstable; urgency=high

  Improvements:
  * Honour *.clean-mode configuration setting for --clean= mode.
  * No longer require option values to be cuddled: support `--opt val' and
    `-o val'.  Closes:#763332.

  Manpages:
  * Fix typos.
  * Document that tags are in DEP-14 format, and that they
    are used for authenticating pushes.
  * Correct cross-reference to point to browse.d.d.o.
  * Move dgit.default.* to main CONFIGURATION section.

  Administrivia:
  * Add missing close of #793060 to changelog for version 1.1.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 14 Aug 2015 18:27:20 +0100

dgit (1.1) unstable; urgency=medium

  Bugfixes:
  * When source package contains things called .git (even files, and even
    in subdirectories), remove them.  Closes:#793671.
  * Work around curl -sS -I printing `HTTP/1.0 200 Connection established'
    before the actual header, so dgit works with https_proxy set (!)
  * --new is needed for read access to packages in NEW, too.  Document
    this, and make it work properly.
  * Work around #793471 (madness with $SIG{__WARN__} and Perl's system
    builtin): move $SIG{} setting into setup_sigwarn in Dgit.pm, and
    check getppid.
  * When invoking git-buildpackage via dgit gbp-build, consider our
    command line arguments when massaging the dpkg-buildpackage arguments,
    so that we don't end up giving dpkg-buildpackage contradictory
    instructions.
  * Cope with new git-buildpackage which provides gbp, rather than the
    eponymous command, on PATH.

  Configurability:
  * Honour dgit-distros.DISTRO.cmd-CMD and .opts-CMD.  Closes:#793427.
  * Make configuration able to prevent dpkg-mergechangelogs setup.
  * Provide dgit setup-new-tree (like dpkg-setup-mergechangelogs
    but only does it if not disabled in config).
  * Set up git user.email and user.name from distro access config
    or DEBEMAIL/DEBFULLNAME.  Closes:#793410.
  * When key to use not specified any other way, use the debian/changelog
    trailer line.  Closes:#793423.
  * Honour --git= (mostly).

  Documentation:
  * Fix some manpage typos.  [ Richard Hartmann ]
  * Manpage said that --clean=check was -wn but that is --clean=none;
    correctly document that --clean=check is actually -wc.
  * Document that up to -DDDD (not just -DD) is meaningfully different.
  * Document that -cname=value applies only for this run.
  * Improve manpage comment about defining a new distro.
  * Document that --quilt=linear is the default for Debian.
  * Fix a formatting problem in --build-products-dir= doc.
  * In manpage, do not seem to imply that NMU should be of only one
    new commit.
  * Qualify to Debian the manpage comment about how to do NMU.
  * In discussion on how to start using dgit when already using git, do
    not imply/assume that existing git history will have identical trees
    to dgit history.
  * Remove stray sentence in config section of manpage.
  * Manpage: Clarify wording of readonly config.
  * Manpage: Better cross-references for -k and keyid.
  * dgit(7): No longer say that dgit-repos lives on Alioth.

  Improvements:
  * Introduce more sophisticated protocol negotiation for rpush.
  * Do not quote `:' in shellquote.
  * Print a supplementary message when push fails, giving advice to
    the user about how to retry.  Closes:#793144.
  * Slurp in entire git config, for better performance.
  * Rename `git-build' operation to `gbp-build' to make it clearer what
    it's for.  Keep the old name as an alias.
  * Show `dgit sbuild' in usage message.
  * When we are using dpkg-buildpackage to clean before using it to also
    do the build, let it do its cleaning thing as part of its run, rather
    than running it twice.  When we are _not_ supposed to be using
    dpkg-buildpackage to clean, but we are running it to do the build,
    pass -nc.  Closes:#793060.
  * Also suppress spurious runs of the clean target when building using
    git-buildpackage.
  * When exec fails, always print the program name in the error message.

  Infrastructure:
  * Infrastructure: Get mirroring right for fresh repos of existing
    packages (!)

  Packaging, cleanups, debugging and test suite:
  * Fix Vcs-Git and Vcs-Browse to refer to chiark.  (The dgit-repos on
    alioth aren't suitable right now because the master there can
    currently only be updated with an actual upload, ie dgit push.)
  * Make warnings fatal in dpkg-repos-admin-debian, dgit-ssh-dispatch
    (using setup_sigwarn).
  * Make warnings fatal in tstunt/dpkg-parsechangelog (directly).
  * Test suite: Honour DGIT_TEST_DEBUG=''.
  * With -DDDD, print out all gitcfg references (copious!)
  * Fix a debug message in the obsolete sshpsql archive access driver.
  * Test suite: More automatic enumeration of tests.
  * Test suite: Provide tests which check that all our various build
    operations run the right targets as expected (ie, that we are massaging
    the arguments to dpkg-buildpackage, and suppressing our clean target,
    etc., correctly).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 27 Jul 2015 16:34:31 +0100

dgit (1.0) unstable; urgency=medium

  Improvements:

