=== tests/Makefile ===
# usage: tests/using-intree make -f tests/Makefile
# (optionally setting TESTSCRIPTS='tests/tests/foo tests/tests/bar')

TESTSCRIPTS ?= $(shell tests/enumerate-tests)
TESTNAMES := $(notdir $(TESTSCRIPTS))

all: $(foreach t,$(TESTNAMES),tests/tmp/$t.ok)
	@echo "ALL PASSED"

tests/tmp:
	mkdir -p $@

tests/tmp/%.ok: tests/tmp
	tests/tests/$* >tests/tmp/$*.log 2>&1
