=== debian/changelog ===
dgit (1.4) unstable; urgency=high

  Bugfixes:
  * Unbreak --dry-run (`exiting subroutine via next', broken in
    ac221d67, bug released in 0.22).
  * When running git-add in commit-quilty-patch, properly escape
    filenames (which git-add treats as glob patterns).
  * When running git-add in commit-quilty-patch, use -f and sometimes -A,
    so as to avoid being broken by any .gitignore, etc.
  * When quilt linearisation fails, print the right information in
    the error message.  (This has been broken forever.)
  * Cope properly with `3.0 (quilt)' with single-debian-patch.
    Closes:#796016.  (Still does not work with wheezy's dpkg-source, so
    no test case yet.)
  * With dgit sbuild, pass our -d before the user's arguments, so that
    the user can override it.  Closes:#796019.

  New checks and improved behaviours:
  * Detect and reject git trees containing debian/source/local-options
    or debian/source/local-patch-header.
  * In --dry-run mode, _do_ actually run dpkg-source --commit so that we
    actually do construct the quilt fixup commit; instead, honour
    --dry-run by avoiding pulling it back to your HEAD.
  * quilt-fixup checks that the git tree is clean, as for build-prep.

  Documentation:
  * In dgit(7), discuss binaries and documentation present in upstream but
    removed by rules clean.

  Test suite:
  * Run quilt-fixup with -wgf in distropatches-reject,
    so that we don't need build-depends.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 22 Aug 2015 15:31:02 +0100
