=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # dgit
 # Integration between git and Debian-style archives
 #
-# Copyright (C)2013 Ian Jackson
+# Copyright (C)2013-2015 Ian Jackson
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -29,3 +29,13 @@
 	 cd debian/dgit; \
 	 v=$$(perl -ne 'print if s/^version:\s+//i' DEBIAN/control); \
 	 perl -i -pe "s/UNRELEASED/$$v/g if m/###substituted###/" usr/bin/dgit
+
+override_dh_auto_install:
+	make install prefix=/usr DESTDIR=debian/dgit
+	make install-infra prefix=/usr DESTDIR=debian/dgit-infrastructure
+
+debian/tests/control: tests/enumerate-tests debian/tests/control.in
+	$< gencontrol >$@.new && mv -f $@.new $@
+
+debian/tests/control: tests/lib-core tests/lib-restricts
+debian/tests/control: tests/tests $(wildcard tests/tests/*[^~#])
