=== debian/tests/control ===
Tests: build-modes-gbp
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, git-buildpackage

Tests: build-modes-sbuild
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, sbuild
Restrictions: x-dgit-schroot-build

Tests: dsd-clone-drs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts
Restrictions: x-dgit-intree-only x-dgit-git-only

Tests: mirror mirror-debnewgit mirror-private
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, rsync

Tests: build-modes clone-gitnosuite clone-nogit debpolicy-dbretry debpolicy-newreject distropatches-reject drs-clone-nogit drs-push-masterupdate drs-push-rejects dsd-clone-nogit dsd-divert fetch-localgitonly fetch-somegit-notlast push-buildproductsdir push-newpackage push-nextdgit quilt rpush tag-updates test-list-uptodate trustingpolicy-replay
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts
