=== debian/changelog ===
dgit (2.13) unstable; urgency=high

  Changed behaviour:
  * quilt fixup: Permit creation of patches which delete files, by psssing
    --include-removal to dpkg-source, and tolerating it when we do our
    quilt fixup analysis.  dpkg-source has supported this since at least
    stretch.  Closes:#848901.

  Error messages:
  * Improve "cannot represent change" message: print the git old and new
    modes too.

  Bugfix:
  * Import: Switch back to unpa branch on patch import iterations.
    In particular, do not fail utterly if dpkg-source and gbp disagree.
    Closes:#848843.

  Documentation [Sean Whitton]:
  * dgit-maint-gbp(7): Remove reference to closed bug.  Closes:#848725.
  * dgit-sponsorship(7): Update in light of fixed #844129.  Closes:#848789.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 21 Dec 2016 01:32:41 +0000

dgit (2.12) unstable; urgency=high

  Changed behaviours:
  * By default, generate a DEP-14 tag as well as a dgit archive/*
    tag, even in non-split-view quilt modes.  Closes:#844129.
  * Version tags mangling: Protect dots, as per proposed update to DEP-14.

  Documentation:
  * dgit-maint-merge(7): Explain how to change to this workflow
    from an existing git workflow.  [Sean Whitton]  Closes:#847807.
  * dgit-maint-native(7): Clarify that we mean native source format.
    [Phil Hands]  Closes:#847987.

  Error messages:
  * Slightly better message when .dsc not found.  Apropos of #844128.
  * Give better advice if .dsc/.changes signing fails: if no changes
    are needed to the package, user may indeed just debsign and dput.
    Closes:#844131.
  * Produce better error reporting when absurd git wrapper fails
    on a patch during .dsc import.  Apropos of #848391.

  Bugfixes:
  * If we cannot hardlink origs into our extraction area, use symlinks
    instead.  Closes:#844570.
  * Suppress some leftover debugging output from import-dsc.
    Closes:#847658.
  * Do not fail when cloning a package containing dangling symlinks.
    Closes:#848512.
  * Do not fail to import a .dsc containing patches which patch files
    multiple times, due to #848611.  Closes:#848391.
  * Do not fail to import a .dsc containing patches to .git/ (!)
  * infra: dgit-repos-policy-debian which broke due to recent git setting
    GIT_ALTERNATE_OBJECT_DIRECTORIES in the pre-receive-hook.
    (fixes test suite regression in stretch).

  Test suite:
  * Provide and use stunt lintian and debuild, to avoid lintian
    complaining about our stupid test packages.
    (fixes test suite regression in stretch).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 19 Dec 2016 17:35:18 +0000

dgit (2.11) unstable; urgency=medium

  Documentation:
  * dgit-user(7): Better explanation of combined suites (comma syntax).
    Thanks to Sean Whitton for review and suggestions.
  * dgit(1), dgit(7): Better reference docs for combined suites.
  * dgit(1): Improve formatting of rpush section.

  Test suite:
  * Replace make in Test-Depends with build-essential.  Most of the tests
    do in fact run dpkg-buildpackage which bombs out if build-essential is
    missing.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 08 Nov 2016 22:41:29 +0000

dgit (2.10) unstable; urgency=medium

  New features:
  * Support the Debian *-security suites.
  * New comma-separated multiple-suite merging facility (readonly),
    so that users can easily track "jessie, or jessie-security".
  * dgit-user(7): Suggest `dgit clone P jessie,-security'.

  Bugfixes:
  * Cope when an orig tarball is a tarbomb.  Ie, if it contains
    other than one single directory toplevel.  Closes:#843422.
  * Actually honour the branch name, if we are on dgit branch, to specify
    the suite, as documented in the manpage.
  * When cloning a distro which has no git server, correctly leave
    the user on the local dgit branch, not on `master'.
  * Fix an unconditional print that was supposed to be a printdebug:
      origs <blah>.orig.tar.gz f.same=1 #f._differ=-1
  * Print a slightly better message if .git found in orig tarball(s).

  Test suite:
  * Test suite: Add fakeroot and make to Test-Depends.  These aren't
    necessarily pulled in by anything else.  (dpkg-dev Recommends
    build-essential.  But we don't actually need build-essential.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 08 Nov 2016 01:08:51 +0000

dgit (2.9) unstable; urgency=medium

  New features:
  * During push, automatically calculate which .origs are required,
    so user never needs [--ch:]-sa or [--ch:]-sd.  Closes:#829116.
  * New import-dsc feature.
  * New option --dgit-view-save= for split view quilt modes.
    In particular, means that the output of a split view quilt-fixup
    is left somewhere useful.
  * dgit clone: Set timestamps in cloned tree to a single unified time.
    This makes it less likely that the user will trip over any
    timestamp-dependent FTBFS bugs (eg #842452).
  * Support dgit --delayed= push (with a warning in the manpage
    about possible skew).
  * dgit gbp-build will arrange to let gbp buildpackage generate
    .orig tarballs if it seems applicable.  Closes:#841094.

  Documentation improvements:
  * dgit-*(7).  Many new tutorial manpages, several written and many
    improved by Sean Whitton.
  * dgit(7): Substantial updates, including documenting split view.
  * dgit(1): Better cross-references.
  * dgit(1): Remove obsolete workflow information.
  * dgit(1): Improved BUGS section.
  * Fix changelog entry for SIGPIPE to correctly mention
    Closes:#841090.

  Bugfixes:
  * Split brain mode: Fix --new.  Closes:#842577.
  * Properly look for .origs etc. in .., fetching them less often.
    Closes:#842386.
  * Reject `dgit pull' in split view quilt modes, to avoid
    creating unfortunate wreckage on non-dgit-view branches.
    Closes:#842608.
  * Cope when cloning suite which doesn't receive uploads,
    like testing.  Closes:#842621.
  * Properly fetch all archive dgit view tags, as we intended.

