=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
 
 Package: dgit
 Depends: perl, libwww-perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
-         ${misc:Depends},
+         ${misc:Depends}, git-buildpackage, liblist-moreutils-perl,
          coreutils (>= 8.23-1~) | realpath,
-         libdigest-sha-perl, dput, curl,
-         libjson-perl, ca-certificates
-Recommends: ssh-client
+         libdigest-sha-perl, dput, curl, apt,
+         libjson-perl, ca-certificates,
+         libtext-iconv-perl, libtext-glob-perl
+Recommends: ssh-client, libtext-iconv-perl
 Suggests: sbuild
 Architecture: all
 Description: git interoperability with the Debian archive
@@ -26,10 +27,13 @@
  dgit clone and dgit fetch construct git commits from uploads.
 
 Package: dgit-infrastructure
-Depends: ${misc:Depends}, perl, git-core, dgit, gpgv, chiark-utils-bin,
-         libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3
+Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
+         libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
+         libwww-perl, libdpkg-perl
+Recommends: dgit
 Architecture: all
 Priority: extra
 Description: dgit server backend infrastructure
  This package contains tools which are useful for setting up a dgit
- git repository server.  You probably want dgit, the client package.
+ git repository server.  You probably want dgit, the client package,
+ instead of dgit-infrastructure.
