## dgit 3.9~bpo8+1

=== debian/changelog ===
dgit (3.9~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 04 Feb 2017 17:38:33 -0700

dgit (3.9) unstable; urgency=medium

  Improvements:
  * dgit --overwrite: Check that the overwritten version's changelog entry
    is not UNRELEASED.  This could easily happen if this release was being
    made from a git branch which predates the previous package upload.

  Documentation:
  * dgit-maint-merge(7): Get git clone url right.  Closes:#852609.
  * dgit-maint-merge(7): Quote sample clone commands.  Closes:#852615.

  Test suite:
  * overwrite-chkclog: test UNRELEASED handling.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 25 Jan 2017 16:21:53 +0000

dgit (3.8) unstable; urgency=medium

  Bugfixes:
  * Make dgit-setup-* work in default distro.

  Test suite:
  * defdistro-setup: Test that setup-* functions distro selection works.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 23 Jan 2017 16:21:30 +0000

dgit (3.7) unstable; urgency=medium

  Bugfixes:
  * Fix clone-dgit-repos-server and print-dgit-repos-server-print-url.
    Closes:#851906.

  Documentation:
  * dgit-maint-merge(7): Explain when workflow is unsuitable
    (Closes:#852090) and improve the patch-header (Closes:#851897.)

  Internal changes:
  * New %.view target: `make dgit-maint-merge.7.view' runs `man -l ...'

  Test suite:
  * defdistro-dsd-clone-drs: New test which would have detected
    #851906 (and hopefully #850521).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 22 Jan 2017 17:30:24 +0000

dgit (3.6) unstable; urgency=medium

  Bugfixes:
  * Actually use the url from a Dgit .dsc field naming an unknown distro.
    Closes:#851728.
  * Add dummy implementation of file_in_archive_aptget copied from
    file_in_archive_dummycat.  Re:#851697.   [ Peter Green ]

  Minor improvements:
  * Use `confess' to print a stack trace in a couple of internal error
    rcases.

  Infrastructure:
  * Properly honour NOCOMMITCHECK policy hook exit status.
    Closes:#851800.
  * Do not reject commits with no author/committer name (but still insist
    on email address and date).  Peter Green reports that eg
    71e128629ec786f3 in upstream xen.git is such a commit (and is accepted
    by github).  Closes:#851716.

  Test suite:
  * downstream-gitless: Test import of .dsc from unknown distro.
  * downstream-gitless: Test import of .dsc with unsafe url.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 19 Jan 2017 01:15:03 +0000

dgit (3.5) unstable; urgency=medium

  Bugfixes:
  * gitattributes: Defuse gitattributes in private working area even if we
    don't do it in the user's tree (because of user configuration).
  * gitattributes: When cloning, do not print spurious warning about
    actually-defused gitattributes.  Closes:#851624.
  * gitattributes: Improve comment left in .git/info/attributes.

  Test suite:
  * gitattributes: Many improvements to test case.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 17 Jan 2017 22:36:01 +0000

dgit (3.4) unstable; urgency=low

  Test suite:
  * drs-push-rejects: Set origin's url to an ad-hoc expression
    which produces the right ext:: rune, as dgit would.
    Closes:#851580.
  * Replace references to /home/ian in various worktrees with
    references to /nonexistent, to catch inadvertant accesses.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 16 Jan 2017 17:27:35 +0000

dgit (3.3) unstable; urgency=medium

  Behavioural changes to work around gitattributes file transformations:
  * Suppress file-transforming gitattributes in private work areas.
  * Configure suppression in user's trees in dgit clone and setup-new-tree.
  * Provide dgit setup-gitattributes to do this explicitly.
  * Documentation.

  Bugfixes:
  * dgit: Remove a leftover debugging print.
  * dgit: Set default dsc import distro when there is no Dgit field.
  * dgit: Set default dsc import distro when suppressing Dgit field.
  * dgit: Option parsing: Fix undefined $suite in some import-dsc.
    Closes:#851213.

  Packaging:
  * Remove redundant use of List::Util qw(any).  Closes:#851280.
  * Remove redundant Recommends on libtext-iconv-perl.

  Test suite:
  * Move default dsc distro config setting to lib.  We need this
    for the .dscs we have in tests/pkg-srcs/.
  * defdistro-import-dsc: Drop this test.
  * protocol-compat: check that we use the right distro
    information when importing.
  * Internal change: fix handling of nonempty distro=
  * gitattributes: New test for .gitattributes handling.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 16 Jan 2017 10:03:08 +0000

dgit (3.2) unstable; urgency=medium

  Bugfixes:
  * dgit: Do not execute END blocks in children.  So far symptoms of this
    bug seem to be limited to duplicated error messages but I have not
    done a thorough analysis.  Closes:#850052.
  * dgit-infrastructure: dgit-repos-policy-debian: Remirror a package when
    it becomes public (ie, make the repo available much more promptly when
    the package passes NEW).  Closes:#849789.
  * dgit: Fix a warning message about ref (mainly, tag) updates.

  Documentation:
  * dgit-maint-merge(7): Use git-deborig(1).
    [Sean Whitton]  Closes:#850953.
  * dgit-user(7): Fix some typos.

  Internals:
  * Fix a typo in a comment.

  Test suite:
  * infra: mirroring and policy hooks: Improve some debugging output.
  * infra: mirror-private: test that package becomes public.  (#849789)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 12 Jan 2017 02:11:34 +0000

dgit (3.1) unstable; urgency=medium

  Bugfixes:
  * dgit import-dsc: Do not crash with undefined $isuite.  Closes:#850781.
  * dgit build: Do not sometimes crash with undefined $isuite.
  * dgit: Do not nedlessly re-fetch the rewrite map.
  * dgit: After downloading .debian.* files, save them in `..', too
    (ie do this not just for .origs).
